/*
 * help_tip.h
 * Copyright (C) Christophe Schmitz and Thomas Huber 2008 <schmitz@maths.uq.edu.au> <numbat.pcs@gmail.com>
 *
 *
 *     This file is part of Numbat.
 * 
 *     Numbat is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     Numbat is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with Numbat.  If not, see <http://www.gnu.org/licenses/>.
 */

#define pdb_tip "\
Choose a PDB file (a structure or a family of structure)\n\
Will clear all previous data loaded (PDB, methyl group association,\n\
RACS definition, PCS lists)."

#define pcs_tip "\
Choose a file containing PCS experiments.\n\
Will clear all PCS data from the current PCS lists."

#define generate_tip "\
Generate PCS data set from tensor parameters.\n\
Will clear all PCS data from the current PCS lists."

#define define_ch3_tip "\
Define methyl group associations for all the PCS lists."

#define define_RACS_tip "\
Define the RACS parameters for all the PCS lists."

#define select_tip "\
Select PCS from the current PCS list\n\
(by atom type and residue type)."

#define display_tip "\
Display only specific atom types or residue types\n\
in the current PCS list."

#define save_pcs_tip "\
Save PCS list in\n\
Numbat format,\n\
Xplor-NIH format,\n\
or full output."

#define save_rdc_tip  "\
Save RDC values generated\n\
from a given tensor in PALES format."

#define view_molmol_tip "\
Display the molecule, tensor\n\
and isosurface in MOLMOL."

#define view_pymol_tip "\
Display the molecule, tensor \n\
and isosurface in PyMOL."

#define error_analysis_tip "\
Perform a Monte-Carlo error analysis."

#define calculate_tensor_tip "\
Calculate tensor."

#define calculate_tensor_multi_tip "\
Calculate tensor(s)."

#define save_tensor_tip "\
Save the tensor(s) in\n\
a text file or a pdb file or\n\
a gnuplot script for Sanson-Flamsteed projection."

#define all_pdb_selector_tip "\
Select all conformers."

#define none_pdb_selector_tip "\
Deselect all conformers."

#define more_tip "\
Display tensor parameters in various conventions."

#define pcs_multi_tab_tip "\
Combine data from PCS list 1, PCS list 2,\n\
PCS list 3 and PCS list 4."

#define auto_name_CH3_tip "\
Automatic definition of methyl group\n\
association. The column \'Atom PCS\'\n\
must be entered manually."

#define auto_name_RACS_tip "\
Automatic definition of RACS atoms."

#define select_all_residue_tip "\
Select all residue types."

#define select_none_residue_tip "\
Deselect all residue types."

#define select_all_atom_tip "\
Select all atom types."

#define select_none_atom_tip "\
Deselect all atom types."

#define add_CH3_tip "\
Add a new methyl group definition."

#define remove_CH3_tip "\
Remove the current methyl group definition."

#define apply_CH3_tip "\
Apply methyl group definition\n\
to all PCS lists."

#define cancel_CH3_tip "\
Ignore change of methyl group definition."

#define apply_RACS_tip "\
Apply RACS definition\n\
to all PCS lists."

#define cancel_RACS_tip "\
Ignore change of RACS definition."

#define add_tensor_list_tip "\
Add manually a tensor in the list\n\
using the values specified on the left."

#define remove_tensor_list_tip "\
Remove tensor(s) from the list\n\
Use ctrl or shift key to select multiple tensor\n\
The last tensor's values will be copied to the left."

#define copy_tensor_list_tip "\
Copy the values of the selected tensor from the list\n\
to the left."

#define ok_generate_tensor_tip "\
Generate PCS data in the current PCS list with\n\
the chosen tensor (column 'Use?')\n\
and specified level of noise"

#define cancel_generate_tensor_tip "\
Cancel the generation of PCS data."

#define molmol_auto_set_up_tip "\
Automatically set up parameters of the grid\n\
to display isosurfaces in MOLMOL."

#define pymol_auto_set_up_tip "\
Automatically set up parameters of the grid\n\
to display isosurfaces in PyMOL."

#define save_macro_molmol_tip "\
Save a macro file to generate the\n\
isosurfaces in MOLMOL"

#define call_molmol_tip "\
Invoke MOLMOL to display\n\
the isosurfaces of the tensor."

#define cancel_molmol_tip "\
Cancel."

#define save_macro_pymol_tip "\
Save a macro file to generate the\n\
isosurfaces in PyMOL."

#define call_pymol_tip "\
Invoke PyMOL to display\n\
the isosurfaces of the tensor."

#define cancel_pymol_tip "\
Cancel."

#define help_input_data_tip "\
Display the help for the\n\
'Input Data' tab."

#define help_tensor_fit_tip "\
Display the help for the\n\
'Tensor Fit' tab."

#define ok_save_rdc_tip "\
Save calculated RDC values \n\
in PALES format."

#define cancel_save_rdc_tip "\
Cancel."

#define apply_display_tip "\
Apply display filter\n\
to the current PCS list."

#define cancel_display_tip "\
Don't apply changes."

#define apply_select_tip "\
Apply selection\n\
to the current PCS list."

#define cancel_select_tip "\
Don't apply changes."

#define ok_error_analysis_tip "\
Start the Monte-Carlo protocol\n\
for error analysis."

#define cancel_error_analysis_tip "\
Cancel."

#define save_tensor_sanson_tip "\
Save selected list of tensors\n\
in a macro file for gnuplot."

#define save_tensor_txt_tip "\
Save selected list of tensors\n\
in a text file."

#define save_tensor_pdb_tip "\
Save selected list of tensors\n\
in pdb format."

#define cancel_save_tensor_tip "\
Cancel."

#define error_analysis_save_sanson_tip "\
Save the result of the error analysis\n\
as a Sanson Flamsteed plot for gnuplot."

#define error_analysis_view_sanson_tip "\
View the result of the error analysis\n\
as a Sanson Flamsteed plot in gnuplot."

#define error_analysis_cancel_tip "\
Cancel."

#define running_ok_tip "\
OK."

#define running_stop_tip "\
Cancel."

#define input_PCS1_tip "\
PCS list 1."

#define input_PCS2_tip "\
PCS list 2."

#define input_PCS3_tip "\
PCS list 3."

#define input_PCS4_tip "\
PCS list 4."

#define tensor_PCS1_tip "\
Tensor for PCS list 1."

#define tensor_PCS2_tip "\
Tensor for PCS list 2."

#define tensor_PCS3_tip "\
Tensor for PCS list 3."

#define tensor_PCS4_tip "\
Tensor for PCS list 4."

