/*
 * methyl.h
 * Copyright (C) Christophe Schmitz and Thomas Huber 2008 <schmitz@maths.uq.edu.au> <numbat.pcs@gmail.com>
 *
 *
 *     This file is part of Numbat.
 * 
 *     Numbat is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     Numbat is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with Numbat.  If not, see <http://www.gnu.org/licenses/>.
 */

#define MAX_METHYL_STR 10
#define DUMMY_NAME "dummy"



//~ this enum is used internally by the GUI to display atom name
enum
{
  COLUMN_ATOM1,
  COLUMN_ATOM2,
  COLUMN_ATOM3,
  COLUMN_ATOM_PCS,
  NUM_ITEM_COLUMNS_CH3
};

//~ this enum is used internally by the GUI for the choice of atom name
//~ and PCS name
enum
{
  COLUMN_ATOM_TEXT,
  NUM_ATOM_COLUMNS
};


//~ Item_CH3 is used internally by the GUI to display in
//~ the treeview the atoms name.
typedef struct
{
  gchar *atom1;
  gchar *atom2;
  gchar *atom3;
  gchar *atom_pcs;
}
Item_CH3;

//~ structure_CH3 is used to store association name
//~ will be used later to deal with methyl group exeption!
typedef struct
{
  char atom1[MAX_ATOM_NAME_LENGTH];
  char atom2[MAX_ATOM_NAME_LENGTH];
  char atom3[MAX_ATOM_NAME_LENGTH];
  char atom_pcs[MAX_METHYL_STR];
  gboolean intact; //used to say that this methyl association
  //hasn't been modify.
}
structure_CH3;

void
clear_CH3(void);

void
save_CH3(void);

void
init_array_CH3 (void);

gboolean check_validity_methyl_association(void);

void 
create_window_CH3(void);

void
add_item_CH3 (void);

void
remove_item_CH3 (void);

void
start_CH3(void);


GtkTreeModel *
create_copy_from_model (int n_button);

GtkTreeModel *
create_atom_list_model (void);

void init_CH3(void);

void cancel_CH3(void);
void empty_treeview(GtkTreeView *treeview, gboolean FLAG_CH3);
void empty_treeview_row(GtkTreeView *treeview, gboolean FLAG_CH3);

void empty_treeview_column(GtkTreeView *treeview);

void update_CH3_tree_after_new_pdb(void);
void update_CH3_tree_after_new_pcs(void);
void empty_tree_model(GtkTreeModel * model);
void auto_CH3(void);
