/*
 * molmol_iso.h
 * Copyright (C) Christophe Schmitz and Thomas Huber 2008 <schmitz@maths.uq.edu.au> <numbat.pcs@gmail.com>
 *
 *
 *     This file is part of Numbat.
 * 
 *     Numbat is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     Numbat is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with Numbat.  If not, see <http://www.gnu.org/licenses/>.
 */

//#define TENSOR_LENGTH 5

int molmol(char *name_output);
void init_vm(void);
void start_vm(void);
void cancel_vm(void);
void copy_vm(void);
void ok_vm(GtkButton * button);
void add_manual_vm(void);
void remove_vm(void);
void update_vm_gride_end(GtkSpinButton * spin);
void update_vm_gride(GtkButton * button);
void save_vm(GtkButton * button);
typedef struct molmol_data {
    double a;
    double b;
    double g;
    double X;
    double Y;
    double Z;
    double Ax;
    double Rh;
    double x_start;
    double y_start;
    double z_start;
    double x_step_size;
    double y_step_size;
    double z_step_size;
    int x_step_n;
    int y_step_n;
    int z_step_n;
} molmol_data;

enum {
	PYMOL_,
	MOLMOL_
};


int filZX_or_YZ(double rot[3][3], double a, double b, double g);
int read_tensor_from_gui(molmol_data * mm_data, GtkWidget* widget, int a);
void write_for_molmol(molmol_data * mm_data , char * name_mac, int color);
double write_pot_ZX_or_YZ(FILE * F_out, molmol_data * mm_data);
double calc_pot_molmol(double rot[3][3], FILE * F_out, molmol_data * mm_data);
void write_mac(FILE * F_mac, molmol_data * mm_data, char * name_pot, char * name_pdb, double pcs_max, int color);
void print_tensor(molmol_data * mm_data);
void write_pdb_tensor(FILE * F_pdb, molmol_data * mm_data);
