/*
 * notebook.c
 * Copyright (C) Christophe Schmitz and Thomas Huber 2008 <schmitz@maths.uq.edu.au> <numbat.pcs@gmail.com>
 *
 *
 *     This file is part of Numbat.
 * 
 *     Numbat is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     Numbat is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with Numbat.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <math.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <gtk/gtk.h>
#include <glade/glade.h>

#include "notebook.h"

extern GtkWidget *_window;
int _lock = 0;

GtkNotebook *_notebookEXP;
GtkNotebook *_notebookTEN;


void init_notebook(void){
	GladeXML *gxml;	
	gxml = glade_get_widget_tree(_window);
	_notebookTEN = (GtkNotebook *) glade_xml_get_widget (gxml, "notebook_ten");
	gtk_notebook_set_current_page (_notebookTEN, 0);
	_notebookEXP = (GtkNotebook *) glade_xml_get_widget (gxml, "notebook_exp");
	gtk_notebook_set_current_page (_notebookEXP, 0);
	_lock = 1;
}

void notebook_TEN_changed(guint page_num){
	int ten, exp;
	ten = page_num;
	exp = gtk_notebook_get_current_page (_notebookEXP);
	if(_lock == 0){
		return;
	}
	else{
		_lock = 0;
		gtk_notebook_set_current_page (_notebookEXP, ten);
		_lock = 1;
	}
}

void notebook_EXP_changed(guint page_num){
	int ten, exp;
	ten = gtk_notebook_get_current_page (_notebookTEN);
	exp = page_num;
	if(_lock == 0){
		return;
	}
	else{
		_lock = 0;
		gtk_notebook_set_current_page (_notebookTEN, exp);
		_lock = 1;
	}
}


