/*
 * rdc.h
 * Copyright (C) Christophe Schmitz and Thomas Huber 2008 <schmitz@maths.uq.edu.au> <numbat.pcs@gmail.com>
 *
 *
 *     This file is part of Numbat.
 * 
 *     Numbat is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     Numbat is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with Numbat.  If not, see <http://www.gnu.org/licenses/>.
 */

typedef struct rdc_data {
    double S;
    double B0;
    double g1;
    double g2;
    double T;
    int res_next;
	int n_button;
    char atom1[MAX_ATOM_NAME_LENGTH];
	char atom2[MAX_ATOM_NAME_LENGTH];
} rdc_data;

void 
load_RDC(int n_button);
void init_rdc(void);
GtkTreeModel * create_plus_minus_model(void);
void new_pdb_lodaded_for_rdc(void);
void add_manual_rdc(void);
void cancel_rdc(void);
void copy_rdc(void);
void remove_rdc(void);
void save_rdc(GtkButton * button);
void start_rdc(void);
int read_rdc_data(rdc_data * r_data);
void print_rdc_pales(rdc_data * r_data, tensor * my_tensor, FILE * f);
double calculate_rdc(int atom1, int atom2, tensor * my_tensor, rdc_data * r_data);
double SingleRDC(double phi, double theta, double psi, double x1, double y1, 
				 double z1, double x2, double y2, double z2, double Xax, double Xrh);
GtkTreeModel *
create_copy_from_pdb_selector (void);
void print_rdc_xplor(rdc_data * r_data, tensor * my_tensor, FILE * f);
void print_rdc_pales(rdc_data * r_data, tensor * my_tensor, FILE * f);
