/*
 * select_display.h
 * Copyright (C) Christophe Schmitz and Thomas Huber 2008 <schmitz@maths.uq.edu.au> <numbat.pcs@gmail.com>
 *
 *
 *     This file is part of Numbat.
 * 
 *     Numbat is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     Numbat is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with Numbat.  If not, see <http://www.gnu.org/licenses/>.
 */

enum{
	DISPLAY,
	SELECT
};

enum{
    COLUMN_SELECT_DISPLAY_CHECK,
    COLUMN_SELECT_DISPLAY_NAME,
    NUM_SELECT_DISPLAY
};


enum{
    DISPLAY_RESIDUE,
    DISPLAY_ATOM,
    SELECT_RESIDUE,
    SELECT_ATOM,
    NUM_BOOLEAN_TAB
};

gboolean * _select_display_pcs [N_PCS_ARRAY][NUM_BOOLEAN_TAB];

void 
copy_select_association(GtkComboBox *combox);
void 
copy_display_association(GtkComboBox *combox);

void kill_window_select_display_PCS(GtkWidget * widget);
int get_flag_type_display_select(GtkWidget * widge);

GtkWidget *
create_window_select_display_PCS(int n_button, int type_select_display);

void
populate_select_display(GtkWidget * window_select_display,
                        int n_button,
                        int type_select_display);
GtkTreeModel * 
create_residue_list_model_ds(int n_button, int type_select_display);
GtkTreeModel * 
create_atom_list_model_ds(int n_button, int type_select_display);
void init_select_display(void);
int get_flag_display_select(GtkWidget * widge, int type_select_display);
void free_array_select_display(void);
void create_array_select_display(void);

void display_toggled_0 (GtkCellRendererToggle *cell, gchar *path_str,gpointer data);
void display_toggled_1 (GtkCellRendererToggle *cell, gchar *path_str,gpointer data);
void display_toggled_2 (GtkCellRendererToggle *cell, gchar *path_str,gpointer data);
void display_toggled_3 (GtkCellRendererToggle *cell, gchar *path_str,gpointer data);
void select_toggled_0 (GtkCellRendererToggle *cell, gchar *path_str,gpointer data);
void select_toggled_1 (GtkCellRendererToggle *cell, gchar *path_str,gpointer data);
void select_toggled_2 (GtkCellRendererToggle *cell, gchar *path_str,gpointer data);
void select_toggled_3 (GtkCellRendererToggle *cell, gchar *path_str,gpointer data);
void display_connect_0 (GtkButton * button, gpointer user_data);
void display_connect_1 (GtkButton * button, gpointer user_data);
void display_connect_2 (GtkButton * button, gpointer user_data);
void display_connect_3 (GtkButton * button, gpointer user_data);
void select_connect_0 (GtkButton * button, gpointer user_data);
void select_connect_1 (GtkButton * button, gpointer user_data);
void select_connect_2 (GtkButton * button, gpointer user_data);
void select_connect_3 (GtkButton * button, gpointer user_data);

void
run_select_PCS(int n_button);
void
run_display_PCS(int n_button);

void cancel_display(void);
void cancel_select(void);
void apply_display(void);
void apply_select(void);

void all_residue_select(void);
void none_residue_select(void);
void all_atom_select(void);
void none_atom_select(void);

void all_residue_display(void);
void none_residue_display(void);
void all_atom_display(void);
void none_atom_display(void);

