
/*
 * tensor_found.h
 * Copyright (C) Christophe Schmitz and Thomas Huber 2008 <schmitz@maths.uq.edu.au> <numbat.pcs@gmail.com>
 *
 *
 *     This file is part of Numbat.
 * 
 *     Numbat is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     Numbat is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with Numbat.  If not, see <http://www.gnu.org/licenses/>.
 */

/* TreeItem structure */

enum
{
  COLUMN_NAME_TF,
  COLUMN_TF,
  COLUMN_ER,	
  COLUMN_UTR,
  COLUMN_UTR_ER,  
	
  VISIBLE_COLUMN,
  NUM_COLUMNS_TF
};

void init_TF(void);
GtkTreeModel *create_model_tensor_found (void);
void
add_columns_TF (GtkTreeView *treeview);
GtkTreeModel * get_correct_model(int n_button, int SING_OR_MULT);

void append_tensor(molmol_data * mm_data_TF, molmol_data * mm_data_ERR,
				   molmol_data * mm_data_UTR, molmol_data * mm_data_UTR_ERR, 
                   int n_button, int SING_OR_MULT,
				   int serial, gboolean new_node);
GtkLabel * get_correct_label(int n_button, int SING_OR_MULT);

void polish_float_cell_data_function_error (GtkTreeViewColumn *col,
                           GtkCellRenderer   *renderer,
                           GtkTreeModel      *model,
                           GtkTreeIter       *iter,
                           gpointer           user_data);
GtkTreeView * get_correct_treeview(int n_button, int SING_OR_MULT);
