/*
 * tensor_list.h
 * Copyright (C) Christophe Schmitz and Thomas Huber 2008 <schmitz@maths.uq.edu.au> <numbat.pcs@gmail.com>
 *
 *
 *     This file is part of Numbat.
 * 
 *     Numbat is free software: you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation, either version 3 of the License, or
 *     (at your option) any later version.
 * 
 *     Numbat is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with Numbat.  If not, see <http://www.gnu.org/licenses/>.
 */


#define TITLE_COLUMN_USED_TL2 "Use (2)?"
#define TITLE_COLUMN_USED_TL1 "Use?"

enum {
    MANUAL_TENSOR,
    CALCULATED_TENSOR,
    CALCULATED_TENSOR_MULTI
};

enum {
    TENSOR_ONLY_VALID,
    TENSOR_ANY,
    TENSOR_ANY_MULTI,
		TENSOR_ONLY_DUO
};

enum
{
  COLUMN_SERIAL_TL,
  COLUMN_ALPHA_TL,
  COLUMN_BETA_TL,
  COLUMN_GAMMA_TL,
  COLUMN_AX_TL,
  COLUMN_RH_TL,
  COLUMN_X_TL,
  COLUMN_Y_TL,   
  COLUMN_Z_TL,
  COLUMN_TYPE_TL,
  COLUMN_EXP_TL,  
  COLUMN_USED_TL,
	COLUMN_USED_TL2, //FOR COMPARISON	

  COLUMN_ALPHA_ERR_TL,
  COLUMN_BETA_ERR_TL,
  COLUMN_GAMMA_ERR_TL,
  COLUMN_AX_ERR_TL,
  COLUMN_RH_ERR_TL,
  COLUMN_X_ERR_TL,
  COLUMN_Y_ERR_TL,
  COLUMN_Z_ERR_TL,
  NUM_ITEM_COLUMNS_TL
};

void start_tl(int n_button);
void init_tensor_listing(void);
void add_manual_tl(void);
void ok_tl(void);
void cancel_tl(void);
void remove_tl(void);
int add_to_tensor_listing(double Ax, double Rh, double x, double y, double z
                           , double alpha, double beta, double gamma, int type, int experiment
						   ,double Ax_err, double Rh_err, double x_err, double y_err, double z_err
                           , double alpha_err, double beta_err, double gamma_err);
void copy_tl(void);
void add_columns_tl (GtkTreeView  *treeview, int TENSOR_SELECTION_TYPE);
void function_for_each  (GtkTreeModel *model,
                            GtkTreePath *path,
                            GtkTreeIter *iter,
                            gpointer data);
void remove_tensor_from_list(GladeXML* gxml, GtkTreeView * treeview, int flag);
void copy_tensor_from_list(GladeXML* gxml, GtkTreeView * treeview, int flag);
void polish_float_cell_data_function_tl (GtkTreeViewColumn *col,
                           GtkCellRenderer   *renderer,
                           GtkTreeModel      *model,
                           GtkTreeIter       *iter,
                           gpointer           user_data);
int read_tensor_only_from_tl(GtkTreeModel * model, tensor * my_tensor);
void uncheck_all(GtkTreeModel * model, int column_num);
int which_pcs_experiment(char * type_exp);
void  
change_column_properties_tl(GtkTreeViewColumn *column);
void polish_float_cell_data_function_tl_radian (GtkTreeViewColumn *col,
                           GtkCellRenderer   *renderer,
                           GtkTreeModel      *model,
                           GtkTreeIter       *iter,
                           gpointer           user_data);
